| Home | Libraries | People | FAQ | More

#### boost::mqtt5::no_local_e

Representation of the No Local Subscribe Option.

##### Synopsis

Defined in header `<boost/mqtt5/types.hpp>`

    enum class no_local_e
        : std::uint8_t;

##### Values

Name | Description
--- | ---
`no` | Application Messages can be forwarded to a connection with equal ClientID.
`yes` | Application Messages MUST NOT be forwarded to a connection with equal ClientID.

##### Description

A Subscribe Option indicating whether or not Application Messages will be forwarded to a connection with a ClientID equal to the ClientID of the publishing connection.

Convenience header `<boost/mqtt5.hpp>`